# norootforbuild
%define pkg_name    fileinfo
%define pkg_version 1.0.4
%define php_version %(php-config --version 2>/dev/null)
#
Name: php5-fileinfo
Version: 1.0.4
Release: 2.2
License: PHP 
Group: Productivity/Networking/Web/Servers
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: php5-devel file-devel
Requires: php5 = %{php_version}
Patch0: php5-fileinfo-lib64.patch
#
URL: http://pecl.php.net/package/fileinfo 
Source: http://pecl.php.net/get/%{pkg_name}-%{pkg_version}.tar.bz2
#
Summary: PHP libmagic bindings
%description

This extension allows retrieval of information regarding vast majority of file.
This information may include dimensions, quality, length etc...

Additionally it can also be used to retrieve the mime type for a particular
file and for text files proper language encoding.


Authors:
---------

	Ilia Alshanetsky <ilia@prohost.org>

%debug_package
%prep

%setup -q -n %{pkg_name}-%{pkg_version}

%patch0

%{__mkdir} %{name}

%build
/usr/bin/phpize
pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"

%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fno-strict-aliasing"
%endif

export CFLAGS
export CXXFLAGS
export LDFLAGS="-Wl,--as-needed"

../configure --with-libdir=%{_lib} 

%{__make} %{?jobs:-j%jobs}

popd

%install

%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php5/conf.d

echo "extension= fileinfo.so" >> %{buildroot}%{_sysconfdir}/php5/conf.d/fileinfo.ini

%clean

%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/%{pkg_name}.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/%{pkg_name}.ini

%doc CREDITS 

%changelog
* Sat Dec 23 2006 - judas_iscariote@shorewall.net
- add lib64 fix.
* Sun Oct 10 2006 - soporte@onfocus.cl
- First Build
